{
	"name": "main",
	"targetType": "none",
	"subPackages": [
		{
			"name": "editor",
			"targetType": "executable",
			"targetName": "Editor",
			"targetPath": "build",
			"sourceFiles-linux": ["build/libvma.a", "build/libstb.a", "build/libm3d.a"],
			"sourceFiles-windows": [],
			"importPaths": ["src/editor", "src/dlib", "src/dlib/external/xxhash", "src/VulkanRenderer"],
			"sourcePaths": ["src/editor", "src/dlib", "src/dlib/external/xxhash", "src/VulkanRenderer"],
			"libs-linux": ["X11", "vulkan", "stdc++", "xfixes", "freetype"],
			"libs-windows": [],
			"versions": ["VULKAN_DEBUG", "ENABLE_RENDERER", "NO_STBI"],
			"preGenerateCommands-linux": ["./build.sh"],
			"preGenerateCommands-windows": [],
			"dflags": ["-P-I/usr/include/freetype2", "-Jbuild", "-Jassets", "-Xcc=-DNO_STBI"],
			"dflags-ldc2": ["-link-debuglib"],
			"dflags-dmd": []
		},
		{
			"name": "editor-test",
			"targetType": "executable",
			"targetName": "Editor",
			"targetPath": "build",
			"sourceFiles-linux": ["build/libvma.a", "build/libstb.a", "build/libm3d.a", "build/libcglm.a"],
			"sourceFiles-windows": [],
			"importPaths": ["src/editor", "src/dlib", "src/dlib/external/xxhash", "src/VulkanRenderer"],
			"sourcePaths": ["src/editor", "src/dlib", "src/dlib/external/xxhash", "src/VulkanRenderer"],
			"libs-linux": ["X11", "vulkan", "stdc++", "xfixes", "freetype"],
			"libs-windows": [],
			"versions": ["VULKAN_DEBUG"],
			"preGenerateCommands-linux": ["./build.sh"],
			"preGenerateCommands-windows": [],
			"dflags": ["-P-I/usr/include/freetype2", "-Jbuild", "-Jassets", "-unittest"],
			"dflags-ldc2": ["-link-debuglib"],
			"dflags-dmd": []
		},
	]
}
